summaryrefslogtreecommitdiff
path: root/src/run_tests.sh
diff options
context:
space:
mode:
authorScott Gasch <[email protected]>2026-08-30 19:08:01 -0700
committerScott Gasch <[email protected]>2026-08-30 19:08:01 -0700
commite8021f3938179e38c24b995777213fd6d629192a (patch)
treefdd6ec670e5a576d25de7b526965c7ae603bc399 /src/run_tests.sh
parentdbf71219abeb51d386b0f7294f1664f2906d2b82 (diff)
Oops, a couple of issues with that last one.
Diffstat (limited to 'src/run_tests.sh')
-rwxr-xr-xsrc/run_tests.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/src/run_tests.sh b/src/run_tests.sh
new file mode 100755
index 0000000..aaa1ba1
--- /dev/null
+++ b/src/run_tests.sh
@@ -0,0 +1,44 @@
+#!/usr/bin/env bash
+
+set -e
+
+LOGDIR="/tmp/typhoon/manual"
+HEAD_LOGDIR="../head_reference/logs"
+TESTS="../tests"
+
+/bin/rm -rf "${LOGDIR}/*"
+
+clear
+echo -n "Launching "
+for suite in ecm_ringers ecm_confident_quick ecm_hard_quick; do
+ echo -n "$suite@sd10 "
+ ./typhoon \
+ --cpus 1 \
+ --hash 256m \
+ --logfile "$LOGDIR/sd10_${suite}.log" \
+ --batch \
+ --command "force; book name /nonexistent.book.bin; sd 10; script $TESTS/${suite}.ep_" \
+ > "$LOGDIR/sd10_${suite}.out" 2>&1 &
+ echo -n "$suite@sn5M "
+ ./typhoon \
+ --cpus 1 \
+ --hash 256m \
+ --logfile "$LOGDIR/sn5m_${suite}.log" \
+ --batch \
+ --command "force; book name /nonexistent.book.bin; sn 5000000; script $TESTS/${suite}.ep_" \
+ > "$LOGDIR/sn5m_${suite}.out" 2>&1 &
+done
+echo
+echo
+wait
+
+for suite in ecm_ringers ecm_confident_quick ecm_hard_quick; do
+ echo "----[ $suite sd=10 ]----"
+ tail -32 $LOGDIR/sd10_${suite}.out | head -3 | prefix "CANDIDATE>"
+ tail -32 $HEAD_LOGDIR/sd10_${suite}.out | head -3 | prefix " HEAD>"
+ echo
+ echo "----[ $suite sn=5M ]----"
+ tail -32 $LOGDIR/sn5m_${suite}.out | head -3 | prefix "CANDIDATE>"
+ tail -32 $HEAD_LOGDIR/sn5m_${suite}.out | head -3 | prefix " HEAD>"
+ echo
+done